# Ds\Set::remove

(PECL ds >= 1.0.0)

Ds\Set::remove — Supprime toutes les valeurs données de la séquence

### Description

public Ds\Set::remove(mixed `...$values`): void

Supprime toutes les `values` données de la séquence, en ignorant celles qui ne sont pas dans la séquence.

### Liste de paramètres

`values`

  Les valeurs à supprimer.

### Valeurs de retour

Aucune valeur n'est retournée.

### Exemples

Exemple #1 Exemple de Ds\Set::remove()

`<?php
$set = new \Ds\Set([1, 2, 3, 4, 5]);
$set->remove(1); // Supprime 1
$set->remove(1, 2); // Ne trouve pas 1, mais supprime 2
$set->remove(...[3, 4]); // Supprime 3 et 4
var_dump($set);
?>`

Résultat de l'exemple ci-dessus est similaire à :

    object(Ds\Set)#1 (1) {
      [0]=>
      int(5)
    }